Mantis Bug Tracker

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0000125Core InformRules and rulebookspublic2010-06-24 17:312010-10-28 00:30
Reporterjmcgrew 
Assigned Tograham 
PrioritynormalSeveritymildReproducibilityalways
StatusclosedResolutionfixed 
Platformx86OSWindowsOS Version7
Product Version6E59 
Target VersionFixed in Version6F95 
Summary0000125: Rules naming an action are considered less specific than "doing something" rules
DescriptionA rulebook containing both "instead of examining the apple tree" (specific) and "instead of doing something to the apple tree" (general) is compiled with the more general rule first. This seems to affect all action-based rulebooks.
Minimal Source Text To Reproduce
Orchard is a room. An apple tree is here.

Instead of examining the apple tree:
	say "specific."

Instead of doing something to the apple tree:
	say "general."

Test me with "x apple".
Additional InformationThe index says the rules are put in this order according to Law III.4.1, but the description of that law says they should be in the opposite order.
TagsNo tags attached.
Effect(serious/mild) Game compiles but misbehaves
Attached Files

- Relationships

-  Notes
(0000618)
graham (administrator)
2010-09-29 03:54

Fixed.

- Issue History
Date Modified Username Field Change
2010-06-24 17:31 jmcgrew New Issue
2010-06-24 17:31 jmcgrew Status new => acknowledged
2010-06-25 09:58 EmacsUser Status acknowledged => confirmed
2010-09-29 03:54 graham Note Added: 0000618
2010-09-29 03:54 graham Status confirmed => resolved
2010-09-29 03:54 graham Resolution open => fixed
2010-09-29 03:54 graham Assigned To => graham
2010-10-25 21:14 jmcgrew Fixed in Version => 6F95
2010-10-28 00:30 jmcgrew Status resolved => closed


Copyright © 2000 - 2010 MantisBT Group
Powered by Mantis Bugtracker